cpioCrcPhysicalHeader_s Struct Reference
PAYLOAD.

Cpio archive header information. More...

`#include <rpmio/cpio.h>`

## Data Fields

char | magic [6]
char | inode [8]
char | mode [8]
char | uid [8]
char | gid [8]
char | nlink [8]
char | mtime [8]
char | filesize [8]
char | devMajor [8]
char | devMinor [8]
char | rdevMajor [8]
char | rdevMinor [8]
char | namesize [8]
char | checksum [8]

## Detailed Description

Cpio archive header information.

Definition at line 23 of file cpio.h.

## Field Documentation

char cpioCrcPhysicalHeader_s::checksum[8]

Definition at line 37 of file cpio.h.

Referenced by cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::devMajor[8]

Definition at line 32 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::devMinor[8]

Definition at line 33 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::filesize[8]

Definition at line 31 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::gid[8]

Definition at line 28 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::inode[8]

Definition at line 25 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::magic[6]

Definition at line 24 of file cpio.h.

Referenced by cpioHeaderRead(), cpioHeaderWrite(), and cpioTrailerWrite().

char cpioCrcPhysicalHeader_s::mode[8]

Definition at line 26 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::mtime[8]

Definition at line 30 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::namesize[8]

Definition at line 36 of file cpio.h.

Referenced by cpioHeaderRead(), cpioHeaderWrite(), and cpioTrailerWrite().

char cpioCrcPhysicalHeader_s::nlink[8]

Definition at line 29 of file cpio.h.

Referenced by cpioHeaderRead(), cpioHeaderWrite(), and cpioTrailerWrite().

char cpioCrcPhysicalHeader_s::rdevMajor[8]

Definition at line 34 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::rdevMinor[8]

Definition at line 35 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

char cpioCrcPhysicalHeader_s::uid[8]

Definition at line 27 of file cpio.h.

Referenced by cpioHeaderRead(), and cpioHeaderWrite().

The documentation for this struct was generated from the following file:

- rpmio/cpio.h